Package net.dona.doip.util

## Class GsonUtility.PublicKeyTypeHierarchyAdapter

- java.lang.Object
- - net.dona.doip.util.GsonUtility.PublicKeyTypeHierarchyAdapter

- All Implemented Interfaces:
    `com.google.gson.JsonDeserializer<java.security.PublicKey>`, `com.google.gson.JsonSerializer<java.security.PublicKey>`
  Enclosing class:
    GsonUtility

      public static class GsonUtility.PublicKeyTypeHierarchyAdapter
      extends java.lang.Object
      implements com.google.gson.JsonSerializer<java.security.PublicKey>, com.google.gson.JsonDeserializer<java.security.PublicKey>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PublicKeyTypeHierarchyAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.security.PublicKey` | `deserialize​(com.google.gson.JsonElement json, java.lang.reflect.Type typeOfT, com.google.gson.JsonDeserializationContext context)` |
    `com.google.gson.JsonElement` | `serialize​(java.security.PublicKey key, java.lang.reflect.Type typeOfSrc, com.google.gson.JsonSerializationContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PublicKeyTypeHierarchyAdapter

          public PublicKeyTypeHierarchyAdapter()

  - ### Method Detail

    - #### serialize

          public com.google.gson.JsonElement serialize​(java.security.PublicKey key,
                                                       java.lang.reflect.Type typeOfSrc,
                                                       com.google.gson.JsonSerializationContext context)

      Specified by:
        `serialize` in interface `com.google.gson.JsonSerializer<java.security.PublicKey>`

    - #### deserialize

          public java.security.PublicKey deserialize​(com.google.gson.JsonElement json,
                                                     java.lang.reflect.Type typeOfT,
                                                     com.google.gson.JsonDeserializationContext context)
                                              throws com.google.gson.JsonParseException

      Specified by:
        `deserialize` in interface `com.google.gson.JsonDeserializer<java.security.PublicKey>`
      Throws:
        `com.google.gson.JsonParseException`